summaryrefslogtreecommitdiffstats
path: root/scripts/stable-update.sh
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/stable-update.sh')
-rwxr-xr-xscripts/stable-update.sh96
1 files changed, 0 insertions, 96 deletions
diff --git a/scripts/stable-update.sh b/scripts/stable-update.sh
deleted file mode 100755
index 6169d3e86..000000000
--- a/scripts/stable-update.sh
+++ /dev/null
@@ -1,96 +0,0 @@
-#!/bin/sh
-# Author: Laura Abbott <labbott@fedoraproject.org>
-#
-# Apply a stable patch update to the Fedora tree. This takes care of
-# - Downloading the patch from kernel.org
-# - Uploading the source file
-# - Removing old patch files
-# - Updating the spec file stable version
-# - Adding a proper changelog entry
-#
-# Based on steps from https://fedoraproject.org/wiki/Kernel/DayToDay#Stable_kernel_update
-#
-# Args: Stable version to update (e.g. 4.7.7, 4.8.1)
-
-# update orgin
-vanilla-kernel-helper.sh masterupdate
-currentbranch=$(git symbolic-ref --short HEAD)
-git merge --no-edit origin/${currentbranch%-user-thl-vanilla-fedora} || exit 1
-
-if [ $# -lt 1 ]; then
- echo "Need a version"
- exit 1
-fi
-
-VERSION=`echo $1 | cut -d . -f 1`
-if [ -z $VERSION ]; then
- echo "Malformed version $1"
- exit 1
-fi
-PATCHLEVEL=`echo $1 | cut -d . -f 2`
-if [ -z $VERSION ]; then
- echo "Malformed version $1"
- exit 1
-fi
-SUBLEVEL=`echo $1 | cut -d . -f 3`
-if [ -z $VERSION ]; then
- echo "Malformed version $1"
- exit 1
-fi
-
-if [ ! -f patch-$1.xz ]; then
- wget https://cdn.kernel.org/pub/linux/kernel/v5.x/patch-$1.xz
- if [ ! $? -eq 0 ]; then
- echo "Download fail"
- exit 1
- fi
-fi
-
-# This all needs to be updated for the new generation system
-#
-# if [ ! -f "patch-$1.sign" ]; then
-# wget "https://cdn.kernel.org/pub/linux/kernel/v4.x/patch-$1.sign"
-# if [ ! $? -eq 0 ]; then
-# echo "Signature download failed"
-# exit 1
-# fi
-# fi
-
-# xzcat "patch-$1.xz" | gpg2 --verify "patch-$1.sign" -
-# if [ ! $? -eq 0 ]; then
-# echo "Patch file has invalid or untrusted signature!"
-# echo "See https://www.kernel.org/category/signatures.html"
-# exit 1
-# fi
-
-grep $1 sources &> /dev/null
-if [ ! $? -eq 0 ]; then
- # thl is not an allowed uploader, skip this
- # fedpkg upload patch-$1.xz
- checksum=$(sha512sum patch-$1.xz)
- echo "SHA512 (patch-$1.xz) = ${checksum:0:128}" >> sources
-
- # Cryptic awk: search for the previous patch level (if one exists) and
- # remove it from the source file
- awk -v VER=$VERSION.$PATCHLEVEL.$((SUBLEVEL-1)) '$0 !~ VER { print $0; }' < sources > sources.tmp
- mv sources.tmp sources
-fi
-
-# Update the stable level
-awk -v STABLE=$SUBLEVEL '/%define stable_update/ \
- { print "%define stable_update " STABLE } \
- !/%define stable_update/ { print $0 }' \
- < kernel.spec > kernel.spec.tmp
-mv kernel.spec.tmp kernel.spec
-
-# Reset the base release for use with rpmdev-bumpspec
-BASERELEASE=`cat kernel.spec | grep "%global baserelease" | cut -d ' ' -f 3 | head -c 1`50
-#BASERELEASE=$(($BASERELEASE-1))
-BASERELEASE=$BASERELEASE perl -p -i -e 's|%global baserelease.*|%global baserelease $ENV{'BASERELEASE'}|' kernel.spec
-
-# do not generate changelog: avoids merge conflicts that are not worth the trouble
-# rpmdev-bumpspec -c "Linux v$1" kernel.spec
-
-git diff kernel.spec sources
-sleep 1 || exit 1
-git commit -m "Linux v$1" kernel.spec sources